{% load menu_generator %}
{% get_menu "NAV_TOP" as main_menu %}

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <div style="float:right;">
                {% for item in main_menu %}
                    <li class="nav-item">
                    <a class="nav-link" href="{{ item.url }}"> {{ item.name }}</a>
                    </li>
                    {% if item.submenu %}
                        <ul>
                        {% for menu in item.submenu %}
                            <li class="nav-item">
                                <a class="nav-link" href="{{ menu.url }}">{{ menu.name }}</a>
                            </li>
                        {% endfor %}
                        </ul>
                    {% endif %}
                {% endfor %}
            </div>
        </ul>
        {% comment %} <ul class="navbar-nav mr-auto">
        </ul>  {% endcomment %}
    </div>

